Installation
Download and install the EnvKey UI and CLI.
If you haven't yet, you can download the latest versions of the EnvKey UI and CLI for your platform by going to EnvKey's homepage and clicking the big Download button at the top of the page. Install it when it's finished downloading.
Making the AppImage executable on Linux
If you're on Linux, you'll need to make the .AppImage file that EnvKey runs from executable. On Ubuntu, just right-click the file, click
Properties
, then thePermissions
tab, and then next toExecute
, check theAllow executing file as program
checkbox. You can also accomplish the same thing in the terminal with:chmod +x ~/Downloads/EnvKey.$VERSION.AppImage
(Substitute the appropriate file name and path above).
Approving OS Keyring Access
On Mac and Windows, EnvKey stores a root device key in the OS keyring/credential manager. The first time you run the EnvKey UI or CLI, you'll have to approve access to this key. The key's service name is
com.envkey.local-server.root-device-key
and the account name isroot-device-key
.
The first time you open the app, both EnvKey's CLI and the envkey-source integration tool will also be installed for you.
envkey-source → envkey-source-v2
Note that if you're coming from EnvKey v1 and already have envkey-source v1 installed locally when you install EnvKey v2 and start the EnvKey UI, envkey-source will be installed as
envkey-source-v2
instead ofenvkey-source
in order to avoid overwriting the v1 binary and breaking any of your v1-based workflows. You can also use thees
alias.
Tab autocompletion for the EnvKey CLI will be auto-installed as well. Bring up a new shell, type envkey
, and hit tab to see it in action.
Install envkey-source standalone
You can install envkey-source without the EnvKey UI:
VERSION=$(curl https://envkey-releases.s3.amazonaws.com/latest/envkeysource-version.txt) && curl -s https://envkey-releases.s3.amazonaws.com/envkeysource/release_artifacts/$VERSION/install.sh | bash
Verify and install:
You can verify the install script and envkey-source binaries before running them by installing minisign and running this:
LATEST_VERSION=$(curl https://envkey-releases.s3.amazonaws.com/latest/envkeysource-version.txt) \
&& ARTIFACT_URL=https://envkey-releases.s3.amazonaws.com/envkeysource/release_artifacts/$LATEST_VERSION/install.sh \
&& curl -O $ARTIFACT_URL -O $ARTIFACT_URL.minisig \
&& { minisign -Vm install.sh -P "RWQ5lgVbbidOxaoIEsqZjbI6hHdS5Ri/SrDk9rNFFgiQZ4COuk6Li2HK" || { rm install.sh && install.sh.minisig && echo "Error: install.sh signature invalid. Exiting with error." >&2; exit 1; }; } \
&& echo install.sh verified \
&& chmod +x install.sh \
&& ./install.sh \
&& rm install.sh install.sh.minisig
Install CLI standalone
You can install the CLI without the EnvKey UI:
LATEST_VERSION=$(curl https://envkey-releases.s3.amazonaws.com/latest/cli-version.txt) && curl -s https://envkey-releases.s3.amazonaws.com/cli/release_artifacts/$LATEST_VERSION/install.sh | bash
Verify and install:
You can verify the install script and CLI binaries before running them by installing minisign and running this:
LATEST_VERSION=$(curl https://envkey-releases.s3.amazonaws.com/latest/cli-version.txt) \
&& ARTIFACT_URL=https://envkey-releases.s3.amazonaws.com/cli/release_artifacts/$LATEST_VERSION/install.sh \
&& curl -O $ARTIFACT_URL -O $ARTIFACT_URL.minisig \
&& { minisign -Vm install.sh -P "RWQ5lgVbbidOxaoIEsqZjbI6hHdS5Ri/SrDk9rNFFgiQZ4COuk6Li2HK" || { rm install.sh && install.sh.minisig && echo "Error: install.sh signature invalid. Exiting with error." >&2; exit 1; }; } \
&& echo install.sh verified \
&& chmod +x install.sh \
&& ./install.sh \
&& rm install.sh install.sh.minisig
Alpine Linux
To install the CLI on Alpine Linux, you'll need to install the following dependencies first:
apk add gcompat libstdc++ libgcc
Add shell tab completion for the CLI
You can add tab completion for your shell with this command:
$ envkey completion install
By default, it will attempt to auto-detect your shell type (bash, zsh, and fish are supported), and your shell config file. To specify the config file, use the --profile
flag:
$ envkey completion install --profile .zshrc
Updated over 1 year ago